\documentclass[black,white]{beamer}
\usepackage{beamerthemesplit}
\usepackage{epstopdf}
\usepackage{graphicx}
\usepackage{subfigure}
\usepackage{sudoku}
\usepackage[utf8]{inputenc}
\usepackage[english]{babel}
\usepackage{listings}
\usefonttheme{professionalfonts}
\usecolortheme{dove}
\useoutertheme{infolines}
\useinnertheme{rectangles}
\setlength{\parindent}{0pt}
\renewcommand*\sudokuformat[1]{\sffamily#1}
\newcommand*\sfb[1]{\textbf{#1}}

\begin{document}

\title[Linux Wiimote Driver]{Linux Wiimote Driver}
\author[Daniel Borkmann]{
	Daniel Borkmann\\
	\footnotesize{\texttt{<borkmann@gnumaniacs.org>}}\\
	\footnotesize{\texttt{http://gnumaniacs.org/wiimote}}
}
\institute[HTWK-Leipzig]{
	Leipzig University of Applied Sciences\\
	Faculty of Computer Science, Mathematics and Natural Sciences
}
\date[\today]{\footnotesize{\today}}

\frame {
	\titlepage
}

\section{Wiimote}
\frame {
	\frametitle{Wiimote}
	\begin{center}
		\includegraphics[width=0.8\textwidth]{gfx/wiimote.jpg}
	\end{center}
}

\frame {
	\frametitle{What can you do with it?}
	\begin{itemize}
		\item Play games on Linux, i.e. Warsow\footnote{http://www.warsow.net/}\medskip
		\item Hold presentations, i.e. navigating slides\medskip
		\item Motion tracking\medskip
		\item Whiteboard software\medskip
		\item Remote for your home media center\medskip
		\item Alternative HIDs, i.e. Wii Balance Board\medskip
		\item Remote control Nao robots ;-)\medskip
		\item Well, play the Wii (boring)\medskip
		\item ...
	\end{itemize}
}

\frame {
	\frametitle{Driver Internals}
	\begin{itemize}
		\item Supports ...\medskip
		\begin{itemize}
			\item All Wiimote buttons\medskip
			\item Rumble mode\medskip
			\item Accelerometer (mapped as mouse pointer)\medskip
		\end{itemize}
		\item \textbf{Kernelspace:} Input device mapping\medskip
		\begin{itemize}
			\item Buttons, x/y mouse vector\medskip
		\end{itemize}
		\item \textbf{Userspace:} Bluetooth communication\medskip
		\begin{itemize}
			\item 2 channels: control and interrupt\medskip
		\end{itemize}
	\end{itemize}
}

\frame {
	\frametitle{How can you hack it?}
	\begin{itemize}
		\item \texttt{git clone git://repo.or.cz/wiimote.git}\medskip
		\item Add support for infrared optical sensor\medskip
		\item Add support for Wii Remote Plus\medskip
		\item Write your own applications ;-)
	\end{itemize}
}

\frame {
	\frametitle{Enough talking ...}
	\begin{center}
		\Large{Short Live Demonstration ...}
	\end{center}
}

\end{document}
